# Class RunAction

java.lang.Object
org.eclipse.debug.internal.ui.actions.ExecutionAction
org.eclipse.debug.ui.actions.RunAction

All Implemented Interfaces:
  `IActionDelegate, IActionDelegate2`

public final class RunAction extends org.eclipse.debug.internal.ui.actions.ExecutionAction
Action to launch the last launch configuration that was successfully launched, in run mode. If no configurations have been launched, the launch configuration dialog is opened.

This class may be instantiated.

Since:
  2.0

## Constructor Summary

Constructors
Constructor
Description
`RunAction()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getMode()`
Returns the mode of a launcher to use for this action

### Methods inherited from class org.eclipse.debug.internal.ui.actions.ExecutionAction

`dispose, getLaunchConfigurationManager, init, run, runWithEvent, selectionChanged`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RunAction

public RunAction()

## Method Details

### getMode

protected String getMode()
Description copied from class: `org.eclipse.debug.internal.ui.actions.ExecutionAction`
Returns the mode of a launcher to use for this action

Specified by:
  `getMode` in class `org.eclipse.debug.internal.ui.actions.ExecutionAction`
See Also:
  - `ExecutionAction.getMode()`